<?php
/**
 * Advanced custom field for theme.
 *
 * @package Contractor
 * @author  KingKongThemes
 * @link    http://www.kingkongthemes.com
 */

if ( function_exists( 'register_field_group' ) ):

	register_field_group(
		array(
			'key'    => 'group_53d8edf4beaff',
			'title'  => 'Page Options',
			'fields' => array(
				array(
					'key'               => 'field_53e77e2f35e12',
					'label'             => 'Page layout',
					'name'              => '',
					'prefix'            => '',
					'type'              => 'tab',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
				),
				array(
					'key'               => 'field_53d8ee35180f4',
					'label'             => 'Page layout',
					'name'              => 'page_layout',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'choices' => array(
						'default'       => 'Default',
						'right_sidebar' => 'Right Sidebar',
						'left_sidebar'  => 'Left Sidebar',
						'no_sidebar'    => 'No Sidebar',
						'full_width'    => '100% Width',
					),
					'default_value'     => 'full_width',
					'allow_null'        => 0,
					'multiple'          => 0,
					'ui'                => 0,
					'ajax'              => 0,
					'placeholder'       => '',
					'disabled'          => 0,
					'readonly'          => 0,
				),
				array(
					'key'               => 'field_53fd51a9335a3',
					'label'             => 'Custom sidebar',
					'name'              => 'single_custom_sidebar',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'default_value'     => '',
					'placeholder'       => '',
					'prepend'           => '',
					'append'            => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_542e60920bbc1',
					'label'             => 'Page sidebar width',
					'name'              => 'page_sidebar_width',
					'prefix'            => '',
					'type'              => 'number',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'default_value'     => 25,
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '%',
					'min'               => 0,
					'max'               => 100,
					'step'              => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_54393ee87f9b9',
					'label'             => 'Background color',
					'name'              => 'page_background_color',
					'prefix'            => '',
					'type'              => 'color_picker',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'default_value'     => '',
				),
				array(
					'key'               => 'field_542d131580b0c',
					'label'             => 'Top padding of content',
					'name'              => 'page_content_padding_top',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'default_value'     => '0',
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_542d132d80b0d',
					'label'             => 'Bottom padding of content',
					'name'              => 'page_content_padding_bottom',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
					'default_value'     => '0',
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_53fee96451014',
					'label'             => 'Page Titlebar',
					'name'              => '',
					'prefix'            => '',
					'type'              => 'tab',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => 0,
				),
				array(
					'key'               => 'field_53fd4b6033834',
					'label'             => 'Show/Hide Title Bar',
					'name'              => 'display_titlebar',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => 'Only support page layout "Full Width" and "No Sidebar"',
					'required'          => 0,
					'conditional_logic' => 0,
					'choices' => array(
						'show'  => 'Show',
						'hided' => 'Hide',
					),
					'default_value' => 'show',
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53fee99251015',
					'label'             => 'Titlebar layout',
					'name'              => 'titlebar_layout',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						'justify' => 'Justify',
						'center'  => 'Center',
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_542e57d750106',
					'label'             => 'Page titlebar font size',
					'name'              => 'page_titlebar_font_size',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'default_value'     => '',
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_53fftww651019',
					'label'             => 'Page title bar color',
					'name'              => 'page_titlebar_color',
					'prefix'            => '',
					'type'              => 'color_picker',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'default_value'     => '',
				),
				array(
					'key'               => 'field_53feec3f51016',
					'label'             => 'Top padding',
					'name'              => 'pading_top',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => 'Unit: px (Ex: 10px)',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
							'rule_rule_rule_rule_1' => array(
								'field'    => 'field_57666341fb9f7',
								'operator' => '==',
								'value'    => '0',
							),
						)
					),
					'default_value'     => '',
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_53feeca551017',
					'label'             => 'Bottom padding',
					'name'              => 'padding_bottom',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => 'Unit: px (Ex: 10px)',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
							'rule_rule_rule_rule_1' => array(
								'field'    => 'field_57666341fb9f7',
								'operator' => '==',
								'value'    => '0',
							),
						),
					),
					'default_value'     => '',
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_53feecb251018',
					'label'             => 'Background image',
					'name'              => 'background_image',
					'prefix'            => '',
					'type'              => 'image',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'return_format'     => 'array',
					'preview_size'      => 'thumbnail',
					'library'           => 'all',
				),
				array(
					'key'               => 'field_53feeda05101b',
					'label'             => 'Background position',
					'name'              => 'background_position',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						'left top'      => 'Left Top',
						'left center'   => 'Left Center',
						'left bottom'   => 'Left Bottom',
						'right top'     => 'Right Top',
						'right center'  => 'Right Center',
						'right bottom'  => 'Right Bottom',
						'center top'    => 'Center top',
						'center center' => 'Center Center',
						'center bottom' => 'Center Bottom',
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53fuida05167b',
					'label'             => 'Background size',
					'name'              => 'background_size',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						'inherit' => 'Inherit',
						'cover'   => 'Cover',
						'contain' => 'Contain',
						'full'    => '100%',
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_52rguda05101b',
					'label'             => 'Background repeat',
					'name'              => 'background_repeat',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						'no-repeat' => 'No Repeat',
						'repeat'    => 'Repeat',
						'repeat-x'  => 'Repeat X',
						'repeat-y'  => 'Repeat Y',
					),
					'default_value' => 'repeat',
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53feecea51019',
					'label'             => 'Background color',
					'name'              => 'background_color',
					'prefix'            => '',
					'type'              => 'color_picker',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'default_value'     => '',
				),
				array(
					'key'               => 'field_57666341fb9f7',
					'label'             => 'Background zoom effect',
					'name'              => 'background_zoom',
					'instructions'      => 'If enable this parameter, setting padding for title bar will be disable',
					'prefix'            => '',
					'type'              => 'select',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						'1' => 'True',
						'0' => 'False',
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53ftrca453217',
					'label'             => 'Height for zoom effect',
					'name'              => 'background_zoom_height',
					'prefix'            => '',
					'type'              => 'text',
					'instructions'      => 'Unit: px (Ex: 100px)',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_57666341fb9f7',
								'operator' => '==',
								'value'    => '1',
							),
						),
					),
					'default_value'     => '',
					'placeholder'       => '',
					'prepend'           => '',
					'prepend'           => '',
					'maxlength'         => '',
					'readonly'          => 0,
					'disabled'          => 0,
				),
				array(
					'key'               => 'field_54336341fb9f7',
					'label'             => 'Background parallax',
					'name'              => 'background_parallax',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						'1' => 'True',
						'0' => 'False',
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53feefc15101f',
					'label'             => 'Titlebar shadow opacity',
					'name'              => 'titlebar_shadow_opacity',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => 'Set your shadow opacity in titlebar',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						0     => 0,
						'0.1' => '0.1',
						'0.2' => '0.2',
						'0.3' => '0.3',
						'0.4' => '0.4',
						'0.5' => '0.5',
						'0.6' => '0.6',
						'0.7' => '0.7',
						'0.8' => '0.8',
						'0.9' => '0.9',
						1     => 1,
					),
					'default_value' => array(
						'0.5' => '0.5',
					),
					'allow_null'  => 0,
					'multiple'    => 0,
					'ui'          => 0,
					'ajax'        => 0,
					'placeholder' => '',
					'disabled'    => 0,
					'readonly'    => 0,
				),
				array(
					'key'               => 'field_53fef06051020',
					'label'             => 'Titlebar overlay opacity',
					'name'              => 'titlebar_overlay_opacity',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => 'Set your overlay opacity in titlebar',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						0     => 0,
						'0.1' => '0.1',
						'0.2' => '0.2',
						'0.3' => '0.3',
						'0.4' => '0.4',
						'0.5' => '0.5',
						'0.6' => '0.6',
						'0.7' => '0.7',
						'0.8' => '0.8',
						'0.9' => '0.9',
						1     => 1,
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53fef07c51021',
					'label'             => 'Titlebar clipmask opacity',
					'name'              => 'titlebar_clipmask_opacity',
					'prefix'            => '',
					'type'              => 'select',
					'instructions'      => 'Set your clipmask opacity in titlebar',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'choices' => array(
						0     => 0,
						'0.1' => '0.1',
						'0.2' => '0.2',
						'0.3' => '0.3',
						'0.4' => '0.4',
						'0.5' => '0.5',
						'0.6' => '0.6',
						'0.7' => '0.7',
						'0.8' => '0.8',
						'0.9' => '0.9',
						1     => 1,
					),
					'default_value' => array(),
					'allow_null'    => 0,
					'multiple'      => 0,
					'ui'            => 0,
					'ajax'          => 0,
					'placeholder'   => '',
					'disabled'      => 0,
					'readonly'      => 0,
				),
				array(
					'key'               => 'field_53fef0eb51023',
					'label'             => 'Custom titlebar content',
					'name'              => 'titlebar_custom_content',
					'prefix'            => '',
					'type'              => 'wysiwyg',
					'instructions'      => '',
					'required'          => 0,
					'conditional_logic' => array(
						array(
							'rule_rule_rule_rule_0' => array(
								'field'    => 'field_53fd4b6033834',
								'operator' => '==',
								'value'    => 'show',
							),
						),
					),
					'default_value'     => '',
					'tabs'              => 'all',
					'toolbar'           => 'full',
					'media_upload'      => 1,
				),
			),
			'location' => array(
				array(
					array(
						'param'    => 'post_type',
						'operator' => '==',
						'value'    => 'page',
					),
				),
			),
			'menu_order'            => 0,
			'position'              => 'normal',
			'style'                 => 'default',
			'label_placement'       => 'top',
			'instruction_placement' => 'label',
			'hide_on_screen'        => '',
		) );

	register_field_group( array(
		'key'    => 'group_53d9acd573a57',
		'title'  => 'Post options',
		'fields' => array(
			array(
				'key'               => 'field_53df40c5588c3',
				'label'             => 'Post Layout',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_53df40dd588c5',
				'label'             => 'Post layout',
				'name'              => 'post_layout',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default'       => 'Default',
					'right_sidebar' => 'Right Sidebar',
					'left_sidebar'  => 'Left Sidebar',
					'no_sidebar'    => 'No Sidebar',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_43df3480f5f9b',
				'label'             => 'choose large post thumbnail for masonry layout only',
				'name'              => 'post_large',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'large' => 'True',
					''      => 'False',
				),
				'default_value' => '',
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53df4176c5f9b',
				'label'             => 'Custom sidebar name',
				'name'              => 'single_custom_sidebar',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_543b350c0528f',
				'label'             => 'Post metadata',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_53e2ed3bf58b4',
				'label'             => 'Show/Hide Categories',
				'name'              => 'display_categories',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					1 => 'Show',
					2 => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53e2ed80f58b5',
				'label'             => 'Show/Hide post date',
				'name'              => 'display_post_date',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					1 => 'Show',
					2 => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53e2f31b8b379',
				'label'             => 'Show/Hide tags',
				'name'              => 'display_tags',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					1 => 'Show',
					2 => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53e2eda4f58b7',
				'label'             => 'Show/Hide authorbox',
				'name'              => 'display_authorbox',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					1 => 'Show',
					2 => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53e2edbff58b8',
				'label'             => 'Show/Hide related post',
				'name'              => 'display_related_post',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					1 => 'Show',
					2 => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53df3ff5e761f',
				'label'             => 'Post format',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_53e2edeff58b8',
				'label'             => 'Choose video source',
				'name'              => 'video_format_source',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'link'  => 'Video Link',
					'embed' => 'Video Embed code',
					'local' => 'Upload local file',
				),
				'default_value' => 'link',
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_54338f305aaf9',
				'label'             => 'Video format url',
				'name'              => 'video_url',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'You can choose Youtube or Vimeo link (eg: https://www.youtube.com/watch?v=uxHXATYpt2w)',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						'rule' => array(
							'field'    => 'field_53e2edeff58b8',
							'operator' => '==',
							'value'    => 'link',
						),
					),
				),
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_53da05e21c492',
				'label'             => 'Video embed code',
				'name'              => 'video_code',
				'prefix'            => '',
				'type'              => 'textarea',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						'rule' => array(
							'field'    => 'field_53e2edeff58b8',
							'operator' => '==',
							'value'    => 'embed',
						),
					),
				),
				'default_value'     => '',
				'placeholder'       => '',
				'maxlength'         => '',
				'rows'              => '',
				'new_lines'         => 'wpautop',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_53df78207e598',
				'label'             => 'Upload video file',
				'name'              => 'video_local',
				'prefix'            => '',
				'type'              => 'file',
				'instructions'      => 'Support .mp4 file only',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						'rule' => array(
							'field'    => 'field_53e2edeff58b8',
							'operator' => '==',
							'value'    => 'local',
						),
					),
				),
				'return_format'     => 'array',
				'library'           => 'all',
			),
			array(
				'key'               => 'field_53e2etiff58b8',
				'label'             => 'Choose audio source',
				'name'              => 'audio_format_source',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'link'  => 'Soundcloud link',
					'local' => 'Upload local file',
				),
				'default_value' => 'link',
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_53de3fbbcb5e4',
				'label'             => 'Soundcloud link',
				'name'              => 'audio_url',
				'prefix'            => '',
				'type'              => 'text',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						'rule' => array(
							'field'    => 'field_53e2etiff58b8',
							'operator' => '==',
							'value'    => 'link',
						),
					),
				),
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_53df78207e597',
				'label'             => 'Upload audio file',
				'name'              => 'audio_local',
				'prefix'            => '',
				'type'              => 'file',
				'instructions'      => 'Support .mp3 file only',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						'rule' => array(
							'field'    => 'field_53e2etiff58b8',
							'operator' => '==',
							'value'    => 'local',
						),
					),
				),
				'return_format'     => 'array',
				'library'           => 'all',
			),
			array(
				'key'               => 'field_543390af5aafa',
				'label'             => 'Link format url',
				'name'              => 'link_format_url',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'Option for format "link" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_53d9aedbf3c36',
				'label'             => 'Quote author',
				'name'              => 'quote_author',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_543390cd5aafb',
				'label'             => 'Author quote url',
				'name'              => 'author_quote_url',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'Option for format "quote" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_543830cd5aafb',
				'label'             => 'Quote Content',
				'name'              => 'quote_content',
				'prefix'            => '',
				'type'              => 'textarea',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'maxlength'         => '',
				'rows'              => '',
				'new_lines'         => 'wpautop',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_53de3e23b0d0f',
				'label'             => 'Gallery format',
				'name'              => 'post_gallery',
				'prefix'            => '',
				'type'              => 'gallery',
				'instructions'      => 'Option for format "gallery" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'min'               => '',
				'max'               => '',
				'preview_size'      => 'thumbnail',
				'library'           => 'all',
			),
			array(
				'key'               => 'field_54005a6a90104',
				'label'             => 'Gallery auto play',
				'name'              => 'gallery_auto',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'true'  => 'True',
					'false' => 'False',
				),
				'default_value'     => array(
					'false' => 'false',
				),
				'allow_null'  => 0,
				'multiple'    => 0,
				'ui'          => 0,
				'ajax'        => 0,
				'placeholder' => '',
				'disabled'    => 0,
				'readonly'    => 0,
			),
			array(
				'key'               => 'field_54005ed990105',
				'label'             => 'Gallery duration time',
				'name'              => 'gallery_auto_time_wait',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => 5000,
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54005f8e90106',
				'label'             => 'Gallery speed',
				'name'              => 'gallery_speed',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => 300,
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54005fa690107',
				'label'             => 'Gallery pagination',
				'name'              => 'gallery_pagination',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'true'  => 'True',
					'false' => 'False',
				),
				'default_value' => 'false',
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_5400601f90108',
				'label'             => 'Gallery navigation',
				'name'              => 'gallery_navigation',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'true'  => 'True',
					'false' => 'False',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_5400607990109',
				'label'             => 'Gallery mousewheel using',
				'name'              => 'gallery_mousewheel',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'true'  => 'True',
					'false' => 'False',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
		),
		'location' => array(
			array(
				array(
					'param'    => 'post_type',
					'operator' => '==',
					'value'    => 'post',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
	) );

	register_field_group( array(
		'key'    => 'group_540d72068b18e',
		'title'  => 'Product Setting',
		'fields' => array(
			array(
				'key'               => 'field_540d720d3c1c6',
				'label'             => 'Hover Effect',
				'name'              => 'product_hover_effect',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					'fade'    => 'Fade',
					'slide'   => 'Slide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
		),
		'location' => array(
			array(
				array(
					'param'    => 'post_type',
					'operator' => '==',
					'value'    => 'product',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
	) );

register_field_group( array(
		'key'    => 'group_540d713660823',
		'title'  => 'Product Category Setting',
		'fields' => array(
			array(
				'key'               => 'field_540d713666606',
				'label'             => 'Product categories',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_540d71366660b',
				'label'             => 'Layout',
				'name'              => 'product_cat_layout',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default'       => 'Default',
					'right_sidebar' => 'Right Sidebar',
					'left_sidebar'  => 'Left Sidebar',
					'no_sidebar'    => 'Fullwidth',
					'full_width'    => '100% width',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d71366660e',
				'label'             => 'Sidebar name',
				'name'              => 'product_cat_custom_sidebar',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_540d713666613',
				'label'             => 'Titlebar',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_540d713666611',
				'label'             => 'Show/Hide titlebar',
				'name'              => 'product_cat_display_titlebar',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => 'Only support page layout "Full Width" and "No Sidebar"',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'show'  => 'Show',
					'hided' => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d713666616',
				'label'             => 'Titlebar layout',
				'name'              => 'product_cat_titlebar_layout',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'layout-1' => 'Justify',
					'layout-2' => 'Center',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d713666618',
				'label'             => 'Top padding',
				'name'              => 'product_cat_padding_top',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'Unit: px (Ex: 10px)',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_540d71366661a',
				'label'             => 'Bottom padding',
				'name'              => 'product_cat_padding_bottom',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'Unit: px (Ex: 10px)',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_540d71366661c',
				'label'             => 'Background image',
				'name'              => 'product_cat_background_image',
				'prefix'            => '',
				'type'              => 'image',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'return_format'     => 'array',
				'preview_size'      => 'thumbnail',
				'library'           => 'all',
			),
			array(
				'key'               => 'field_540d71366661e',
				'label'             => 'Background color',
				'name'              => 'product_cat_background_color',
				'prefix'            => '',
				'type'              => 'color_picker',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
			),
			array(
				'key'               => 'field_540d713666623',
				'label'             => 'Background image position',
				'name'              => 'product_cat_background_position',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'left'   => 'Left',
					'right'  => 'Right',
					'center' => 'Center',
					'top'    => 'Top',
					'bottom' => 'Bottom',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d713666625',
				'label'             => 'Background image parallax',
				'name'              => 'product_cat_background_parallax',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'show'  => 'Show',
					'hided' => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d713666627',
				'label'             => 'Background parallax style',
				'name'              => 'product_cat_background_parallax_style',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'style-1' => 'Style 1',
					'style-2' => 'Style 2',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d713666629',
				'label'             => 'Titlebar shadow opacity',
				'name'              => 'product_cat_titlebar_shadow_opacity',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					0 => 0,
					'0.1' => '0.1',
					'0.2' => '0.2',
					'0.3' => '0.3',
					'0.4' => '0.4',
					'0.5' => '0.5',
					'0.6' => '0.6',
					'0.7' => '0.7',
					'0.8' => '0.8',
					'0.9' => '0.9',
					1 => 1,
				),
				'default_value' => 
					array(
						'0.5' => '0.5',
					),
				'allow_null'  => 0,
				'multiple'    => 0,
				'ui'          => 0,
				'ajax'        => 0,
				'placeholder' => '',
				'disabled'    => 0,
				'readonly'    => 0,
			),
			array(
				'key'               => 'field_540d71366662b',
				'label'             => 'Titlebar overlay opacity',
				'name'              => 'product_cat_titlebar_overlay_opacity',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					0 => 0,
					'0.1' => '0.1',
					'0.2' => '0.2',
					'0.3' => '0.3',
					'0.4' => '0.4',
					'0.5' => '0.5',
					'0.6' => '0.6',
					'0.7' => '0.7',
					'0.8' => '0.8',
					'0.9' => '0.9',
					1 => 1,
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d71366662d',
				'label'             => 'Titlebar clipmask opacity',
				'name'              => 'product_cat_titlebar_clipmask_opacity',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					0 => 0,
					'0.1' => '0.1',
					'0.2' => '0.2',
					'0.3' => '0.3',
					'0.4' => '0.4',
					'0.5' => '0.5',
					'0.6' => '0.6',
					'0.7' => '0.7',
					'0.8' => '0.8',
					'0.9' => '0.9',
					1 => 1,
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_540d71366662f',
				'label'             => 'Titlebar custom content',
				'name'              => 'product_cat_titlebar_custom_content',
				'prefix'            => '',
				'type'              => 'wysiwyg',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'tabs'              => 'all',
				'toolbar'           => 'full',
				'media_upload'      => 1,
			),
		),
		'location' => array(
			array(
				array(
					'param'    => 'taxonomy',
					'operator' => '==',
					'value'    => 'product_cat',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
	) );

	register_field_group( array(
		'key'    => 'group_54227be67e225',
		'title'  => 'Portfolio Options',
		'fields' => array(
			array(
				'key'               => 'field_54227be6907ec',
				'label'             => 'Portfolio Layout',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_5437e5160b13d',
				'label'             => 'Portfolio sidebar content',
				'name'              => 'portfolio_sidebar_content',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'show'  => 'True',
					'hided' => 'False',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_5422892f9bc5f',
				'label'             => 'Sticky sidebar using',
				'name'              => 'display_sticky_sidebar',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'show'  => 'True',
					'hided' => 'False',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_54227be69087c',
				'label'             => 'Show/Hide related portfolio',
				'name'              => 'portfolio_display_related_post',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'default' => 'Default',
					1 => 'Show',
					2 => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_54227be69088f',
				'label'             => 'Portfolio information',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_54227ccb3b6d2',
				'label'             => 'Portfolio size',
				'name'              => 'portfolio_size',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => 'Only support Gallery Masonry Free Style',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'small'      => 'Small',
					'horizontal' => 'Horizontal',
					'vertical'   => 'Vertical',
					'big'        => 'Big',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_54227de93b6e1',
				'label'             => 'Show/Hide meta',
				'name'              => 'single_display_meta',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => 'Meta will be shown or not in single portfolio',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'show'  => 'Show',
					'hided' => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_54227ce43b6d3',
				'label'             => 'Meta client',
				'name'              => 'portfolio_client',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227cf23b6d4',
				'label'             => 'Meta location',
				'name'              => 'portfolio_location',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227d053b6d5',
				'label'             => 'Meta period',
				'name'              => 'portfolio_period',
				'prefix'            => '',
				'type'              => 'date_picker',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'display_format'    => 'F j, Y',
				'return_format'     => 'F j, Y',
				'first_day'         => 1,
			),
			array(
				'key'               => 'field_54227d443b6d8',
				'label'             => 'Meta custom label',
				'name'              => 'portfolio_custom_name',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227d4f3b6d9',
				'label'             => 'Meta custom value',
				'name'              => 'portfolio_custom_value',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227d2b3b6d6',
				'label'             => 'Meta text link button',
				'name'              => 'portfolio_text_link',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227d373b6d7',
				'label'             => 'Meta link button',
				'name'              => 'portfolio_link',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227d593b6da',
				'label'             => 'Hover enlarge',
				'name'              => 'hover_enlarge',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'show'  => 'Show',
					'hided' => 'Hide',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_54227d7c3b6db',
				'label'             => 'Hover link',
				'name'              => 'hover_link',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227dcb3b6e0',
				'label'             => 'Excerpt or Meta',
				'name'              => 'portfolio_display_info',
				'prefix'            => '',
				'type'              => 'select',
				'instructions'      => 'Only support template "Portfolio Text Masonry" and "Portfolio Text Gird"',
				'required'          => 0,
				'conditional_logic' => 0,
				'choices' => array(
					'excerpt' => 'Excerpt',
					'meta'    => 'Meta',
				),
				'default_value' => array(),
				'allow_null'    => 0,
				'multiple'      => 0,
				'ui'            => 0,
				'ajax'          => 0,
				'placeholder'   => '',
				'disabled'      => 0,
				'readonly'      => 0,
			),
			array(
				'key'               => 'field_5437e29d4a46e',
				'label'             => 'Portfolio sidebar text',
				'name'              => 'portfolio_sidebar_text',
				'prefix'            => '',
				'type'              => 'textarea',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'maxlength'         => '',
				'rows'              => '',
				'new_lines'         => 'wpautop',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54339f080e790',
				'label'             => 'Portfolio format',
				'name'              => '',
				'prefix'            => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
			),
			array(
				'key'               => 'field_54227d873b6dc',
				'label'             => 'Portfolio Video format url',
				'name'              => 'portfolio_video_format_url',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'Option for format "video" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227d923b6dd',
				'label'             => 'Portfolio video code',
				'name'              => 'portfolio_video_code',
				'prefix'            => '',
				'type'              => 'textarea',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'maxlength'         => '',
				'rows'              => '',
				'new_lines'         => 'wpautop',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54339fe40e791',
				'label'             => 'Portfolio Audio format url',
				'name'              => 'portfolio_audio_format_url',
				'prefix'            => '',
				'type'              => 'text',
				'instructions'      => 'Option for format "audio" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'prepend'           => '',
				'maxlength'         => '',
				'readonly'          => 0,
				'disabled'          => 0,
			),
			array(
				'key'               => 'field_54227da53b6de',
				'label'             => 'Portfolio media',
				'name'              => 'portfolio_media_file',
				'prefix'            => '',
				'type'              => 'file',
				'instructions'      => 'Option for format "video" and "audio" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'return_format'     => 'array',
				'library'           => 'all',
			),
			array(
				'key'               => 'field_54227db73b6df',
				'label'             => 'Portfolio Gallery format',
				'name'              => 'portfolio_gallery',
				'prefix'            => '',
				'type'              => 'gallery',
				'instructions'      => 'Option for format "gallery" only',
				'required'          => 0,
				'conditional_logic' => 0,
				'min'               => '',
				'max'               => '',
				'preview_size'      => 'thumbnail',
				'library'           => 'all',
			),
		),
		'location' => array(
			array(
				array(
					'param'    => 'post_type',
					'operator' => '==',
					'value'    => 'post-portfolio',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
	) );

endif;
